MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
AudioOutputClient Class Referenceabstract

An interface between the AudioOutput and the #Player. More...

`#include <Client.hxx>`

Inheritance diagram for AudioOutputClient:
[legend]

## Public Member Functions
virtual void | ChunksConsumed ()=0
| Notify the client that we have consumed a few chunks. More...
virtual void | ApplyEnabled ()=0
| The AudioOutput has modified the "enabled" flag, and the client shall make the AudioOutput apply this new setting. More...

## Detailed Description

An interface between the AudioOutput and the #Player.

Definition at line 28 of file Client.hxx.

## Member Function Documentation

virtual void AudioOutputClient::ApplyEnabled | ( |  | ) |
| pure virtual

The AudioOutput has modified the "enabled" flag, and the client shall make the AudioOutput apply this new setting.

This is called from any thread, one which can't send an AudioOutput::Command to the output thread; only the client can do that safely.

Implemented in PlayerControl.

virtual void AudioOutputClient::ChunksConsumed | ( |  | ) |
| pure virtual

Notify the client that we have consumed a few chunks.

This is called from within the output thread. The client may perform actions to refill the MusicPipe.

Implemented in PlayerControl.

The documentation for this class was generated from the following file:

- output/Client.hxx